OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ATI.VertexAttribArrayObject

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetATIVertexAttribArrayObject :: MonadIO m => m Bool
- gl_ATI_vertex_attrib_array_object :: Bool
- glGetVertexAttribArrayObjectfvATI :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetVertexAttribArrayObjectivATI :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glVertexAttribArrayObjectATI :: MonadIO m => GLuint -> GLint -> GLenum -> GLboolean -> GLsizei -> GLuint -> GLuint -> m ()

# Extension Support

glGetATIVertexAttribArrayObject :: MonadIO m => m Bool

Is the ATI_vertex_attrib_array_object extension supported?

gl_ATI_vertex_attrib_array_object :: Bool

Is the ATI_vertex_attrib_array_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetATIVertexAttribArrayObject` in those cases instead.

# Functions

glGetVertexAttribArrayObjectfvATI

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `ArrayObjectPNameATI`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetVertexAttribArrayObjectivATI

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname` of type `ArrayObjectPNameATI`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glVertexAttribArrayObjectATI

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLint | `size`.
-> GLenum | `type` of type `VertexAttribPointerType`.
-> GLboolean | `normalized` of type Boolean.
-> GLsizei | `stride`.
-> GLuint | `buffer`.
-> GLuint | `offset`.
-> m () |